post
https://sandbox-api.monark-markets.com/primary/v1/omnibus/order
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Use this endpoint when creating an individual investor order for a fund/share class. The request must include a partner-unique referenceId, the investor, account, fund, share class, side, distribution election, tax lot election, and route instruction.
Note that this endpoint is for individual orders. For orders submitted as part of model portfolios, use the /primary/v1/omnibus/model-order endpoint.
Notes:
referenceIdmust be unique across all Orders.externalAccountNumberis resolved at intake to an internal account id.- For SELL Orders: the Individual Order will be rejected if it will result in a negative share balance for the associated Investor.
- For BUY Orders: custodians are responsible for checking to ensure that Investors have sufficient cash to fund their BUY Order.
- The investor must belong to a Financial Institution that has access to the registered fund.
- An Omnibus Account must already exist for the fund, share class, and distribution election method, held by the custodian or, in the MMM Securities master omnibus, by MMM Securities.
- If Order Actions apply, the order is created with status
PendingActionsand downstream routing to the transfer agent is deferred until the required actions are completed. Use the/primary/v1/omnibus/order-action/order/{orderid}endpoint to fetch all Order Actions, and the/primary/v1/omnibus/order-action/{id}/completeendpoint to complete them.